QGIS Application - Bug report #1686
QGis crashes if in "printout composer" when I'm trying put scale gadget
2009-05-12 03:58 AM - adamrad -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No
Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 11746
Description

When I'm trying put scale gadget onto printout layout in "printout composer” | get a QGis crash.

In Qgis 1.0.0/Qt 4.3.1:
In Linux console | can see comments like these:

h28. I'm inserting a new map window
Qgis does not crash ==========
Warning: [[QgsCoordinateReferenceSystem]]::getRecord failed : select * from tbl_srs where parameters="+proj=tmerc +lat_0=0
+lon_0=19 +k=0.9993 +x_0=500000 +y_0=-5300000 +ellps=GRS80 +datum=NAD83 +units=m +no_defs'

Warning: [[QgsCoordinateReferenceSystem]]::findMatchingProj will only work if prj acr ellipsoid acr and proj4string are set!...

Warning: 1

h28. I'm inserting scale gadget
Qgis crashes
Warning: 2
Warning: Object::disconnect: Unexpected null parameter

Warning: Object::disconnect: Unexpected null parameter

Fatal: ASSERT failure in QList<T>::at: "index out of range", file /usr/local/Trolltech/Qt-4.3.1/include/QtCore/qlist.h, line 386

This same | got with Qgis 1.0.1/Qt 4.3.3.

In Windows XP Qgis 1.0.1 from OSgeo crashes in this "place" too.

History

#1 - 2009-07-09 04:06 PM - Giovanni Manghi

| cannot replicate the problem under Ubuntu 9.04/win xp with qgis 1.2.

Please try a more recent version of qgis and report back.

#2 - 2009-07-15 05:39 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

http://lists.osgeo.org/pipermail/ggis-developer/2009-April/006615.html
http://lists.osgeo.org/pipermail/qgis-developer/2009-April/006615.html

Closing this ticket. Reopen if necessary.
